Why does updating software packages include both 32 bit and 64 bit packages?

3 posts / 0 new
Last post
#1 Sun, 12/23/2012 - 05:31
AverageGuy

Why does updating software packages include both 32 bit and 64 bit packages?

I'm running on a Centos 5.7 system. I noticed this:

---> Package GeoIP.i386 0:1.4.8-1.el5 set to be updated ---> Package GeoIP.x86_64 0:1.4.8-1.el5 set to be updated

It probably won't hurt anything, but it's a waste of time and space.

Can this be corrected? I did this from the webmin Software Packages Update menu by selecting only one package to update.

Thanks, Jim.

Sun, 12/23/2012 - 05:35
AverageGuy

For some reason both packages were installed initially. All the update did was update both packages. Others seem to be OK

Sun, 12/23/2012 - 21:44
andreychek

Yeah, the screen you saw was just prompting you to update a package that was already installed.

If I remember correctly, that package is used by awstats and possibly webalizer while building the website stats.

-Eric